Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery
Class Predicate

    java.lang.Object
      org.exist.xquery.AbstractExpression
          org.exist.xquery.PathExpr
              org.exist.xquery.Predicate

All Implemented Interfaces:
  CompiledExpression, CompiledXQuery, Expression

public class Predicate
extends PathExpr

Handles predicate expressions.

Author:
  Wolfgang Meier

Field Summary

Fields inherited from interface org.exist.xquery.Expression
`DOT_TEST, EXPRESSION_ID_INVALID, IGNORE_CONTEXT, IN_PREDICATE, IN_UPDATE, IN_WHERE_CLAUSE, NO_CONTEXT_ID, SINGLE_STEP_EXECUTION`

Constructor Summary
`Predicate(XQueryContext context)`

Method Summary
`void` | `analyze(AnalyzeContextInfo contextInfo)` Statically analyze the expression and its subexpressions.
`void` | `dump(ExpressionDumper dumper)` Write a diagnostic dump of the expression to the passed `ExpressionDumper`.
`Sequence` | `evalPredicate(Sequence outerSequence, Sequence contextSequence, int mode)`
`int` | `getDependencies()` Returns `Dependency.DEFAULT_DEPENDENCIES`.
`void` | `resetState()` Called to inform an expression that it should reset to its initial state.
`void` | `setContextDocSet(DocumentSet contextSet)`
`java.lang.String` | `toString()`

Methods inherited from class org.exist.xquery.PathExpr
`accept, add, add, addPath, addPredicate, dump, eval, getASTNode, getCardinality, getContext, getDocumentSet, getExpression, getLastExpression, getLength, getLiteralValue, getSource, isValid, replaceLastExpression, reset, returnsType, setContext, setPrimaryAxis, setSource`

Methods inherited from class org.exist.xquery.AbstractExpression
`eval, getContextDocSet, getContextId, getExpressionId, setASTNode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.exist.xquery.CompiledXQuery
`eval`

Constructor Detail

### Predicate

    public Predicate(XQueryContext context)

Method Detail

### getDependencies

    public int getDependencies()

  Description copied from class: `AbstractExpression`
  Returns `Dependency.DEFAULT_DEPENDENCIES`.

  Specified by:
    `getDependencies` in interface `Expression`
  Overrides:
    `getDependencies` in class `PathExpr`

### analyze

    public void analyze(AnalyzeContextInfo contextInfo)
                 throws XPathException

  Description copied from interface: `Expression`
  Statically analyze the expression and its subexpressions. During the static analysis phase, the query engine can detect unknown variables and some type errors.

  Specified by:
    `analyze` in interface `Expression`
  Overrides:
    `analyze` in class `PathExpr`
  Throws:
    `XPathException`

### evalPredicate

    public Sequence evalPredicate(Sequence outerSequence,
                                  Sequence contextSequence,
                                  int mode)
                           throws XPathException

  Throws:
    `XPathException`

### setContextDocSet

    public void setContextDocSet(DocumentSet contextSet)

  Specified by:
    `setContextDocSet` in interface `Expression`
  Overrides:
    `setContextDocSet` in class `AbstractExpression`

### resetState

    public void resetState()

  Description copied from interface: `Expression`
  Called to inform an expression that it should reset to its initial state. All cached data in the expression object should be dropped. For example, the document() function calls this method whenever the input document set has changed.

  Specified by:
    `resetState` in interface `Expression`
  Overrides:
    `resetState` in class `PathExpr`

### dump

    public void dump(ExpressionDumper dumper)

  Description copied from interface: `Expression`
  Write a diagnostic dump of the expression to the passed `ExpressionDumper`.

  Specified by:
    `dump` in interface `Expression`
  Overrides:
    `dump` in class `PathExpr`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `PathExpr`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.